Subject: Re: [Lime] New Version Notification for draft-kumar-lime-yang-connectionless-oam-00.txt

From: wangzitao <[email-masked]>
Date: Fri, 4 Mar 2016 08:33:16 +0000

Hi,
This is the announcement of the Generic connectionless yang model.  
According to the ietf94 meeting discussion, we proposed to split generic oam yang draft into two (connection oam & connectionless oam).
Over the last several months, we have summarized the common parameters of connectionless oam and built this yang model.
Please read it, your comments and suggestions are appreciated.

Best Regards!
-Michael

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2016年3月2日 10:37
收件人: Reshad Rahman; Deepak Kumar; wangzitao; Qin Wu; wangzitao
主题: New Version Notification for draft-kumar-lime-yang-connectionless-oam-00.txt

A new version of I-D, draft-kumar-lime-yang-connectionless-oam-00.txt
has been successfully submitted by Deepak Kumar and posted to the IETF repository.

Name:		draft-kumar-lime-yang-connectionless-oam
Revision:	00
Title:		Generic YANG Data Model for Connection Less Operations, Administration, and Maintenance(OAM) protocols
Document date:	2016-03-01
Group:		Individual Submission
Pages:		62
URL:            https://www.ietf.org/internet-drafts/draft-kumar-lime-yang-connectionless-oam-00.txt
Status:         https://datatracker.ietf.org/doc/draft-kumar-lime-yang-connectionless-oam/
Htmlized:       https://tools.ietf.org/html/draft-kumar-lime-yang-connectionless-oam-00

Abstract:
   This document presents a base YANG Data model for connectionless OAM
   protocols.  It provides a technology-independent abstraction of key
   OAM constructs for connectionless protocols.  Based model presented
   here can be extended to include technology specific details.  This is
   leading to uniformity between OAM protocols and support nested OAM
   workflows (i.e., performing OAM functions at different or same levels
   through a unified interface).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 8 Mar 2016 01:55:34 +0000

Dear Authors, et. al,

I've reviewed this new document. It is very good start and foundation, thank you. Please find my comments below:

·         In the Introduction stated:

   1.  Monitor networks connections (Connectivity Verification, Continuity Check).

As this is data model for OAM in connectionless networks, what type of connections and connectivity verification we expect? I think that in connectionless networks role of OAM is limited to continuity check, reachability verification only. There’s no and, I think, cannot be expectation of definition of misconnection defect.

·         Section 3 introduces oam-layers. None connectionless network OAM that I know of uses layer or level in its model. If this is to represent case of multi-layer network, then, I think, this is outside of the scope of this document as number of layer permutations may be infinite. I believe that in data model of the connectionless networking layer inter-layer OAM interworking specified at fault management’s AIS-like functionality level.

·         I agree with use of the Test Point (TP) object. Please add it , and many other acronyms, to Terminology section.

·         Section 3.1 lists optional forms of TP address:

o   a pair of source and destination addresses – I don’t think we can have one Test Point as set of two points in the network;

o   TLV address – could it be that TLV address is one of option listed above it?

·         Section 3.3, as noted earlier, I think that OAM interworking in multi-layer networks is outside the scope of this document.

·         Section 3.6 lists all BFD RFCs from RFC 5880 through RFC 5885. RFC 5880 is BDS Base document and all others clearly comply with it. RFC 5882 is not specific mode, single-hop or over MPLS LSP, for example, but practical recommendations on using BFD. Don’t see these two, at least, being called out in configuration.

·         RFC 6375 is MPLS PM profile for MPLS-TP and, I think, is more in place with MPLS-TP OAM data model, i.e. OAM data model for connection-oriented networks.

·         RFC 6428 has defined CC, CV and RDI (using BFD) for p2p2 constructs in MPLS-TP networks. MPLS-TP is example of connection-oriented network, as I believe, and thus more suitable to be in another YANG model of OAM.

I’ll probably get some more detailed questions as I dig through the model and its objects.

It is very good work, thank you.

                Regards,

                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of wangzitao
Sent: Friday, March 04, 2016 12:33 AM
To: [email-masked]
Cc: Reshad Rahman; Qin Wu; Deepak Kumar
Subject: Re: [Lime] New Version Notification for draft-kumar-lime-yang-connectionless-oam-00.txt

Hi,

Best Regards!

-Michael

-----邮件原件-----

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

发送时间: 2016年3月2日 10:37

Revision:              00

Pages:                   62

Abstract:

The IETF Secretariat

_______________________________________________

Lime mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/lime

---

From: "Deepak Kumar (dekumar)" <[email-masked]>
Date: Tue, 8 Mar 2016 02:19:48 +0000

Hi Greg,

Thanks for detailed review.

Inline +++DK:

From: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Monday, March 7, 2016 at 5:55 PM
To: wangzitao <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Reshad Rahman (rrahman)" <[email-masked]<mailto:[email-masked]>>, Qin Wu <[email-masked]<mailto:[email-masked]>>, dekumar <[email-masked]<mailto:[email-masked]>>
Subject: RE: New Version Notification for draft-kumar-lime-yang-connectionless-oam-00.txt

Dear Authors, et. al,

+++DK: Will update the text. I agree role is limited to continuity check, reachability verification only.

+++DK: In the model we have kept the layer as default 0 so by default OAM don’t have to build the relationship for the layers. But if layer relationship is known then there’s ability to create related oam layers list.
This will be usefull in tie up interworking of fault at related oam layers.

+++DK: Will do.

+++DK: This is added for BFD. (src-ip-address, dst-ip-addres, interface). Let me dig up notes and provide more details and also update the text and model.

+++DK: TLV address is for RFC6428  (Figure 4,5, and 6).

+++DK: Please take a look at model, whether keeping “leaf level { default 0}” solve this issue or not. As it give added flexibility.

+++DK: Thanks for pointing out. We followed RFC7276. We will modify the text and model.

+++DK: Thanks for pointing out. We will modify the text and model.

+++DK: Agree. We will modify the text and model.

Thanks,
Deepak

                Regards,

                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of wangzitao
Sent: Friday, March 04, 2016 12:33 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Reshad Rahman; Qin Wu; Deepak Kumar
Subject: Re: [Lime] New Version Notification for draft-kumar-lime-yang-connectionless-oam-00.txt

Hi,

Best Regards!

-Michael

-----邮件原件-----

发送时间: 2016年3月2日 10:37

Revision:              00

Pages:                   62

Abstract:

The IETF Secretariat

Lime mailing list